<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Fab Academy</title>
    <link rel="icon" href="img/fav.png" type="image/x-icon">

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="ionicons/css/ionicons.min.css" rel="stylesheet">

    <!-- main css -->
    <link href="css/style.css" rel="stylesheet">


    <!-- modernizr -->
    <script src="js/modernizr.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>

    <!-- Preloader -->
    <div id="preloader">
        <div class="pre-container">
            <div class="spinner">
                <div class="double-bounce1"></div>
                <div class="double-bounce2"></div>
            </div>
        </div>
    </div>
    <!-- end Preloader -->

    <div class="container-fluid">
       <!-- box-header -->
        <header class="box-header">
            <div class="box-logo">
                <a href="index.html"><img src="img/logo.png" width="120" alt="Logo"></a>
            </div>
            <!-- box-nav -->
            <a class="box-primary-nav-trigger" href="#0">
                <span class="box-menu-text">Menu</span><span class="box-menu-icon"></span>
            </a>
            <!-- box-primary-nav-trigger -->
        </header>
        <!-- end box-header -->

        <!-- nav -->
        <nav>
            <ul class="box-primary-nav">
                <li class="box-label">MDEF Journal</li>

                <li><a href="index.html">Home</a></li>
                <li><a href="about.html">About me</a></li>
                <li><a href="reflection.html">Reflection</a>
                <li><a href="fabAcademy.html">Fab Academy</a></li><i class="ion-ios-circle-filled color"></i></li>
                <li><a href="project.html">Master Project</a></li>

                <li class="box-label">Follow me</li>
                <li class="box-social"><a target="_blank" href="https://www.facebook.com/chingchia.jen"><i class="ion-social-facebook"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.instagram.com/chingchiajen/?hl=zh-tw"><i class="ion-social-instagram-outline"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.linkedin.com/in/ching-chia-renn-a85285159/"><i class="ion-social-linkedin"></i></a></li>
                <li class="box-social"><a target="_blank" href="#0"><i class="ion-social-youtube"></i></a></li>
            </ul>
        </nav>
        <!-- end nav -->
    </div>

    <!-- main-container -->
    <div class="container main-container">


        <div class="col-md-12">
            <p class="center"><img width="200" height="200" src="img/reflections/fabA/w01/fab-01.jpg" alt="" /></p>
            <h3 class="center">Principles and Practices, Presentations, Project Management</h3>
            <h5 class="center">29 January - 04 February 2020</h5>
            <p class="center">Tutors: Santiago Fuentemilla, Eduardo Chamorro, Xavi Domínguez, Óscar González</p>
            <div class="h-30"></div>
        </div>

        <div align="justify">
            <p>This week was about project management of the Fab Academy.
              We got into the git tutorial which was about web development and producing a website to document the work which will be completed during the Fab Academy.</p>

            <h3>Build a Website</h3>
            <p>In order to document the learning processes throughout the Master and Fab Academy, we built personal websites for our documentations and reflections.
              To build up the website, we started using Git and GitLab</p>

            <h4>Git & GitLab</h4>
            <p><a target="_blank" href="https://git-scm.com/about/free-and-open-source">Git</a> is a free and open source distributed version control system.
              It is used to keep track of revisions and allow a developer or dev team to work together on a project through branches.
              And <a target="_blank" href="https://about.gitlab.com/">GitLab</a> is a Git-based fully integrated platform for software development.</p>
            <img src="img/reflections/fabA/w01/gitlab.png" class="img-responsive" alt="" />
            <h5 class="center">Gitlab personal online platform</h5>
            <div class="h-30"></div>
            <p>First of all was to install git (I use windows, so I install Gitbash), next step was to add your Git username and set your email by using git config –-global user.name “YOUR_USERNAME”, then configuring the email address for uploading by git config -–global user.email “jSmith@mail.com”.
              After that, checking an SSH KEY already by cat ~/.ssh/id_rsa.pub, then generate the SSH key (ssh-keygen -t rsa -C "$your_email").</p>
            <img src="img/reflections/fabA/w01/git2.png" class="img-responsive" alt="" />
            <h5>Install Git: <a target="_blank" href="https://gitforwindows.org/">Gitbash for windows</a></h5>
            <h5>Setup documentation: <a target="_blank" href="https://hackmd.io/@fablabbcn/rJaisCEsN#Pipeline">Git & Gitlab</a></h5>
            <div class="h-30"></div>
            <p>When Git was installed on the computer and finished the setup of Git, we can manage the files on the computers and "push" them to the GitLab repository.</p>
            <p>Once I have updated the changes and "push" them to the website, I would be able to check their progress in GitLab. In the "pipelines" under CI/CD on the menu I can check the status of my updates and see every commit.</p>
            <img src="img/reflections/fabA/w01/pipelines.png" class="img-responsive" alt="" />
            <h5 class="center">Pipelines</h5>
            <div class="h-30"></div>
            <h5>There are some basic Git command reference:</h5>
            <ul>
                <li>git config - Configure Git</li>
                <li>git init - Initialize Git repository</li>
                <li>git status - Check the status of a Git repository</li>
                <li>git add - Track files</li>
                <li>git commit - Commit tracked files</li>
                <li>git push - Upload files</li>
                <li>git pull - Download files</li>
              </ul>

            <h4>Atom</h4>
            <p><a target="_blank" href="https://atom.io/">Atom</a> is the text editor we use for coding the HTML and CSS to change the website.
            At the left side part in Atom interface is showing all the folders, files, html, and css included in the project;
            at the right side, there is showing the changes when I edit something in program and save it in "Unstaged Chages".
            These changes then need to be "staged", and commit to master, then press "Push" button at the bottom right that all the changes will be uploaded to GitLab repository.</p>
            <img src="img/reflections/fabA/w01/atom1.png" class="img-responsive" alt="" />
            <h5 class="center">Atom editing interface</h5>
            <div class="h-30"></div>
            <p>In Atom, webpages can be previewed. It's very helpful for me to check the appearance of the pages.</p>
            <img src="img/reflections/fabA/w01/atom2.png" class="img-responsive" alt="" />
            <h5 class="center">Preview HTML</h5>
            <div class="h-30"></div>

            <h3>A Potential Final Project</h3>
            <p>My project as part of the masters I am exploring how can artificial intelligence and machine learning apply to the creative process of artists and designers and how can AI and ML to be a tool for inspiration,
              in addtion, how can AI and ML enhance the ability of expression and creativity of artist and designer.</p>
            <p>I was testing the <a target="_blank" href="https://teachablemachine.withgoogle.com/">Teachable Machine</a>, which is a web-based machine learning tool that provide everyone can experience the machine learning technique,
              and <a target="_blank" href="http://www.wekinator.org/">Wekinator</a>, which is a machine learning software for artists and designer to develop new projects with machine learning, to have some interactions with the sounds by image recognition.
              I was reaaly inspired by Teachable Machine and Wekinator. It's very interesting that I can use body and mothins to interact with music.</p>
            <video width="768" height="426" controls><source src="img/reflections/fabA/w01/teachableMachine_test.mp4" type="video/mp4"></video>
            <h5 class="center">Teachable Machine test</h5>
            <div class="h-30"></div>
            <video width="768" height="426" controls><source src="img/reflections/fabA/w01/wekinator_test.mp4" type="video/mp4"></video>
            <h5 class="center">Wekinator test</h5>
            <div class="h-30"></div>
            <p>The video down below shows that I was following the music and making a draw. But to think it conversely what if we can generate music by drawing?</p>
            <video width="768" height="426" controls><source src="img/reflections/fabA/w01/music_drawing.mp4" type="video/mp4"></video>
            <div class="h-30"></div>
            <p>For the final project, I was thinking that I can design an new kind of electronic music instrument or synthesizer with machine learning to explore new ways of making music by different interations,
              or the music could also make from the enviroment.</p>
            <p>I was sketching a portential project down below to visualize what I was thinking.
              I would like to make this having separated units (/parts) with connectors and each of them have different functions or different ways of interaction that people can decide what units they want to combine.
              With different combinations, there would be various sounds that people can have their own band or orchestra. People can play music and compose in more a creative way.</p>
            <img src="img/reflections/fabA/w01/sketch.jpg" class="img-responsive" alt="" />
            <h5 class="center">Sketch for a potential project</h5>
            <div class="h-30"></div>

            <h3>Inspiration</h3>
            <p>I have found some references as inspiration for my final project.
              There are modular instrument, the synthesizer based on neural network, and mechanical ways of making sound etc. and others different ways.</p>
            <h4>OWOW - A new breed of instruments</h4>
            <p>Create digital music with the same intuition and passion as traditional instruments, but the benefits of working with your computer. The instruments focus on the creative side of music making, rather then the technical side of it.</p>
            <p>In stead of five functionalities packed in one big expensive machine, wowo provide five "separate" instruments. In that way people can choose which one suits their way of making music.</p>
            <iframe width="768" height="512" src="https://www.youtube.com/embed/Y0_ukapKEAM" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            <h5>Website: <a target="_blank" href="https://www.kickstarter.com/projects/owow/owow-a-new-breed-of-musical-instruments">OWOW MIDIs</a></h5>
            <div class="h-30"></div>
            <h4>NSynth Super</h4>
            <p>NSynth is an algorithm that uses a deep neural network to learn the characteristics of sounds that can generate new sounds by combining the features of existing sounds.
              It’s an open source experimental instrument which gives musicians the ability to make music using completely new sounds generated by the NSynth algorithm from 4 different source sounds.</p>
            <iframe width="768" height="512" src="https://www.youtube.com/embed/0fjopD87pyw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            <h5>Website: <a target="_blank" href="https://nsynthsuper.withgoogle.com/">NSynth Super</a></h5>
            <div class="h-30"></div>
            <h4>Mechanical Techno Demostration</h4>
            <iframe width="768" height="512" src="https://www.youtube.com/embed/wl1ZrEza7uY" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
            <div class="h-30"></div>
            <h4>Dyskograf</h4>
            <iframe src="https://player.vimeo.com/video/51700038" width="768" height="426" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
            <div class="h-30"></div>
            <h4>Weather Thingy</h4>
            <iframe src="https://player.vimeo.com/video/292088058" width="768" height="426" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
            <div class="h-30"></div>

        </div>
        </div>


    <!-- end main-container -->


    <!-- footer -->
    <footer>
        <div class="container-fluid">
            <p class="copyright">Ching-Chia Renn © MDEF 2019-2020</p>
        </div>
    </footer>
    <!-- end footer -->

    <!-- back to top -->
    <a href="#0" class="cd-top"><i class="ion-android-arrow-up"></i></a>
    <!-- end back to top -->




    <!-- jQuery -->
    <script src="js/jquery-2.1.1.js"></script>
    <!--  plugins -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/menu.js"></script>
    <script src="js/animated-headline.js"></script>
    <script src="js/isotope.pkgd.min.js"></script>


    <!--  custom script -->
    <script src="js/custom.js"></script>

    <!-- google analytics  -->
    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-76796224-1', 'auto');
        ga('send', 'pageview');
    </script>

</body>

</html>
